cURL is using an outdated OpenSSL version (OpenSSL/1.0.1)

Ask all your questions regarding OC 8.0 and 8.1 Please read the Support Forum Rules
Forum rules
The forums were migrated over to https://central.owncloud.org which is based on the forum software Discourse. The forums here is put into read-only mode starting from today.

More background information about this move and the reasoning behind it is available in this blogpost:

https://daniel.molkentin.net/2016/07/20 ... d-central/
mbressman
Helpful Elf
Posts: 165
Joined: Thu Oct 11, 2012 11:19 pm
ownCloud version: 7.0.1
Webserver: Apache
Database: MySQL
OS: Linux
PHP version: 5.3.10
Location: NJ
Contact:

cURL is using an outdated OpenSSL version (OpenSSL/1.0.1)

Postby mbressman » Wed Aug 19, 2015 6:27 am

Just upgraded to v8.1.1 and get this Security & setup warnings:

cURL is using an outdated OpenSSL version (OpenSSL/1.0.1). Please update your operating system or features such as installing and updating apps via the app store or Federated Cloud Sharing will not work reliably.


Can't seem to find any info about this - any help is greatly appreciated (or even just being pointed in the right direction)! Thanks!

RealRancor
ownCloud master
Posts: 17381
Joined: Sat May 26, 2012 3:00 pm
ownCloud version: 9.0.2
Webserver: nginx
Database: MySQL
OS: Linux
PHP version: 7.0.x

Re: cURL is using an outdated OpenSSL version (OpenSSL/1.0.1

Postby RealRancor » Wed Aug 19, 2015 7:48 am

Mhh, i think the message is exactly telling you what to do. The docs here:

https://doc.owncloud.org/server/8.1/adm ... nings.html

contains some additional info.
*gone*

mbressman
Helpful Elf
Posts: 165
Joined: Thu Oct 11, 2012 11:19 pm
ownCloud version: 7.0.1
Webserver: Apache
Database: MySQL
OS: Linux
PHP version: 5.3.10
Location: NJ
Contact:

Re: cURL is using an outdated OpenSSL version (OpenSSL/1.0.1

Postby mbressman » Fri Aug 21, 2015 5:34 am

I updated my Ubuntu Server 12.04 LTS server (using apt-get and webmin to make sure I had all the latest updates), but am still getting this error. How do I update OpenSSL to a newer version since my OS updates don't seem to do that? Thanks!

RealRancor
ownCloud master
Posts: 17381
Joined: Sat May 26, 2012 3:00 pm
ownCloud version: 9.0.2
Webserver: nginx
Database: MySQL
OS: Linux
PHP version: 7.0.x

Re: cURL is using an outdated OpenSSL version (OpenSSL/1.0.1

Postby RealRancor » Fri Aug 21, 2015 10:52 am

Hi,

you need to update Ubuntu 12.04 to a newer release like 14.04 to get a newer version of OpenSSL.
*gone*

mbressman
Helpful Elf
Posts: 165
Joined: Thu Oct 11, 2012 11:19 pm
ownCloud version: 7.0.1
Webserver: Apache
Database: MySQL
OS: Linux
PHP version: 5.3.10
Location: NJ
Contact:

Re: cURL is using an outdated OpenSSL version (OpenSSL/1.0.1

Postby mbressman » Fri Aug 21, 2015 11:45 pm

Ahh, got it - so now way to get a newer version of OpenSSL on a 12.04 release of Ubuntu? Is it OK to just keep using ownCloud on a 12.04 Ubuntu release with that warning message?

I am in the process of working on building a high-end Ubuntu 14.04 server (with RAID, etc.) that I'm going to eventually move ownCloud to, but it's a slow process and not critical, so I don't want to rush it if I don't have to. Thanks!

RealRancor
ownCloud master
Posts: 17381
Joined: Sat May 26, 2012 3:00 pm
ownCloud version: 9.0.2
Webserver: nginx
Database: MySQL
OS: Linux
PHP version: 7.0.x

Re: cURL is using an outdated OpenSSL version (OpenSSL/1.0.1

Postby RealRancor » Fri Aug 21, 2015 11:52 pm

mbressman wrote:Ahh, got it - so now way to get a newer version of OpenSSL on a 12.04 release of Ubuntu?


There might be some other ways but for that you should contact an Ubuntu community and ask if there is a way to update to OpenSSL 1.0.1f or higher.

mbressman wrote:Is it OK to just keep using ownCloud on a 12.04 Ubuntu release with that warning message?


Depends. With that message you can't install apps from the appstore and connections to external storages are very likely also not working. But thats already described in the first posted link.
*gone*

mbressman
Helpful Elf
Posts: 165
Joined: Thu Oct 11, 2012 11:19 pm
ownCloud version: 7.0.1
Webserver: Apache
Database: MySQL
OS: Linux
PHP version: 5.3.10
Location: NJ
Contact:

Re: cURL is using an outdated OpenSSL version (OpenSSL/1.0.1

Postby mbressman » Sat Aug 22, 2015 12:15 am

Got it - thanks. I don't use apps very much (aside from those that I've already got working for the most part), and do have external storage set up, but could live without it. I've posted on the Ubuntu support forum (http://ubuntuforums.org/showthread.php?t=2291641) so maybe someone will have some suggestions. Otherwise, I'm eventually going to get on an Ubuntu Server 14.04 :)

mbressman
Helpful Elf
Posts: 165
Joined: Thu Oct 11, 2012 11:19 pm
ownCloud version: 7.0.1
Webserver: Apache
Database: MySQL
OS: Linux
PHP version: 5.3.10
Location: NJ
Contact:

Re: cURL is using an outdated OpenSSL version (OpenSSL/1.0.1

Postby mbressman » Thu Sep 03, 2015 5:15 am

It seems like my connections to external storage (Dropbox, Google Drive, etc.) all work fine even with this error, and I don't use Federated Sharing or really install apps from the app store, so I seem to be good for now, although do plan to eventually move to an Ubuntu Server 14.04 box. Thanks!


  • Similar Topics
    Replies
    Views
    Last post

Return to “ownCloud Server 8.0 and 8.1”

Who is online

Users browsing this forum: No registered users and 2 guests